Skip to content

GET /api/v3/lightning/devices/by-ldn/{ldn}

Summary

GET /lightning/devices/by-ldn/{ldn}

Description

Resolve a LightningDevice by its human-facing device_number (LDN-xxxxx).

Tags: lightning

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): true
  • lightning_device (object) Type: object

Properties:

  • name (string)
  • description (string)
  • device_number (string)
  • device_request_lcuid (string)
  • device_provided_uuid (string)
  • status (integer)
  • options (object) Type: object

    Properties:

    • _init (array)
  • latitude (string)

  • longitude (string)
  • width (integer)
  • height (integer)
  • digital_board_format (string)
  • venue_taxonomy_id (string)
  • lcuid (string)
  • network_type (string)
  • agency (object) Type: object

    Properties:

    • name (string)
    • description (string)
    • software_provider (string)
    • website (string)
    • status (integer)
    • agency_class (string)
    • options (object) Type: object

    Properties:

    • primary_image_public_url (string)
    • support_text (string)
    • proof_legal_text (string)

    • lcuid (string)

    • slug (string)
    • created_at (string)
    • updated_at (string)
    • agency_class_description (string)
  • vendor_id (string)

  • cached_tags (string)
Example Response
{
    "success": true,
    "lightning_device": {
        "name": "By LDN device",
        "description": null,
        "device_number": "LDN-47688",
        "device_request_lcuid": "LCUID-LDR-fbe1f968-3677-47cd-a7d1-8bfa69c5b4ef",
        "device_provided_uuid": "wMcWnBnHXOyv60zQ",
        "status": 0,
        "options": {
            "_init": []
        },
        "latitude": "0.00000000",
        "longitude": "0.00000000",
        "width": 1024,
        "height": 768,
        "digital_board_format": null,
        "venue_taxonomy_id": null,
        "lcuid": "LCUID-LD-8dd5e9dd-19df-46f7-aef0-00098077684f",
        "network_type": "venue_wifi",
        "agency": {
            "name": "Breezy Billboards",
            "description": "Here is a new unit test agency description",
            "software_provider": null,
            "website": null,
            "status": 0,
            "agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
            "options": {
                "primary_image_public_url": null,
                "support_text": null,
                "proof_legal_text": null
            },
            "lcuid": "LCUID-LY-187259af-5225-4302-b503-a641757747ce",
            "slug": "TestAgencyUnitTestBxbt3",
            "created_at": "2026-10-08T21:36:16.000000Z",
            "updated_at": "2026-10-08T21:36:16.000000Z",
            "agency_class_description": "Operator"
        },
        "vendor_id": null,
        "cached_tags": null
    }
}

Example Implementations

Bash (cURL)

curl --request GET \
  --url "https://api.lucit.app/api/v3/lightning/devices/by-ldn/{ldn}" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/lightning/devices/by-ldn/{ldn}";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "GET",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.lucit.app/api/v3/lightning/devices/by-ldn/{ldn}', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/lightning/devices/by-ldn/{ldn}"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.get(url, headers=headers)
print(response.json())

← Back to lightning index | Back to main index